#
# spec file for package python-Durus
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-Durus
Version:        3.9
Release:        15.5
Url:            http://www.mems-exchange.org/software/durus/
Summary:        A Python Object Database
License:        CNRI-Python
Group:          Development/Languages/Python
Source:         Durus-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-nose
%if 0%{?suse_version}
%py_requires
%endif
Provides:       python-durus = %{version}
Obsoletes:      python-durus < %{version}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%description
Serves and manages changes to persistent objects being used in
multiple client processes.

%prep
%setup -q -n Durus-%{version}
sed -i "1d" {db_renumber,__main__}.py # Fix non-executable scripts

%build
CFLAGS="%{optflags}" python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
nosetests

%files
%defattr(-,root,root,-)
%doc ACKS.txt CHANGES.txt LICENSE.txt README.txt doc/FAQ.txt
%{_bindir}/durus
%{python_sitearch}/*

%changelog
* Sun Apr 14 2013 p.drouand@gmail.com
- Initial python3 support
* Fri Mar 23 2012 cfarrell@suse.com
- license update: CNRI-Python
  SPDX
* Thu Sep 22 2011 saschpe@suse.de
- Initial version
